Skip to content

List Sessions ​

http
GET /api/v1/sessions

List Sessions

operationId: list_sessions

Authentication ​

HTTPBearer / BrowserSession

See browser access. Session mutations require a Bearer key.

Parameters ​

NameInRequiredTypeDescription and constraints
activityqueryNostringWhether the latest run is unfinished; combined with status using AND. enum: ["all","active","inactive"]
default: "all"
sortqueryNostringTimestamp used for order and cursor position. enum: ["created_at","last_run_created_at"]
default: "created_at"
last_run_created_fromqueryNostringInclusive lower bound for the latest run creation time; requires last_run_created_to. format: "date-time"
last_run_created_toqueryNostringExclusive upper bound for the latest run creation time; requires last_run_created_from. Range at most 31 days. format: "date-time"
namespacequeryNostringExact match; 1–128 UTF-8 bytes, no NUL or whitespace-only value. minLength: 1
maxLength: 128
external_keyqueryNostringExact match; 1–512 UTF-8 bytes, no NUL or whitespace-only value. minLength: 1
maxLength: 512
statusqueryNoRunStatus
orderqueryNostringenum: ["asc","desc"]
default: "asc"
limitqueryNointegerdefault: 50
minimum: 1
maximum: 200
cursorqueryNostring / null

Responses ​

CodeDescriptionContent
200Successful Responseapplication/json: SessionPage
400Bad Requestapplication/json: ErrorResponse
401Unauthorizedapplication/json: ErrorResponse
404Not Foundapplication/json: ErrorResponse
409Conflictapplication/json: ErrorResponse
413Content Too Largeapplication/json: ErrorResponse
415Unsupported Media Typeapplication/json: ErrorResponse
422Unprocessable Contentapplication/json: ErrorResponse
503Service Unavailableapplication/json: ErrorResponse

HTTP API